Go to the latest version of this document.

# ``twisted`.`names`.`error`.`DNSQueryTimeoutError``

exception documentation

`class DNSQueryTimeoutError(TimeoutError): (source)`

Constructor: `DNSQueryTimeoutError(id)`

View In Hierarchy

Indicates a lookup failed due to a timeout.

Method | `__init__` | Undocumented
Instance Variable | `id` | The id of the message which timed out.

def __init__(self, id): (source)

Undocumented

id = (source)

The id of the message which timed out.